## org.eclipse.emf.cdo.common.model
Class CDOPackageTypeRegistry

    java.lang.Object
      org.eclipse.emf.cdo.common.model.CDOPackageTypeRegistry

    public final class CDOPackageTypeRegistry

extends java.lang.Object

Since:
  2.0

Nested Class Summary
`static interface` `CDOPackageTypeRegistry.CDOObjectMarker` TODO Remove me when client and common are unified!

Field Summary
`static CDOPackageTypeRegistry` `INSTANCE`

Method Summary
`CDOPackageUnit.Type` `deregister(java.lang.String packageURI)`
`CDOPackageUnit.Type` `lookup(org.eclipse.emf.ecore.EPackage ePackage)`
`CDOPackageUnit.Type` `lookup(java.lang.String packageURI)`
`CDOPackageUnit.Type` `register(org.eclipse.emf.ecore.EPackage ePackage)`
`void` `registerDynamic(java.lang.String packageURI)`
`void` `registerLegacy(java.lang.String packageURI)`
`void` `registerNative(java.lang.String packageURI)`
`void` `reset()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final CDOPackageTypeRegistry INSTANCE

Method Detail

### register

    public CDOPackageUnit.Type register(org.eclipse.emf.ecore.EPackage ePackage)

### registerNative

    public void registerNative(java.lang.String packageURI)

### registerLegacy

    public void registerLegacy(java.lang.String packageURI)

### registerDynamic

    public void registerDynamic(java.lang.String packageURI)

### deregister

    public CDOPackageUnit.Type deregister(java.lang.String packageURI)

### lookup

    public CDOPackageUnit.Type lookup(java.lang.String packageURI)

### lookup

    public CDOPackageUnit.Type lookup(org.eclipse.emf.ecore.EPackage ePackage)

### reset

    public void reset()

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.